# Uses of Class
org.lwjgl.opengles.EGLSyncKHR

Packages that use EGLSyncKHR
Package
Description
org.lwjgl.opengles

## Uses of EGLSyncKHR in org.lwjgl.opengles

Methods in org.lwjgl.opengles that return EGLSyncKHR
Modifier and Type
Method
Description
`static EGLSyncKHR`
EGLKHRFenceSync.`eglCreateSyncKHR(EGLDisplay dpy, int type, IntBuffer attrib_list)`
Creates a fence sync object for the specified EGL display and returns a handle to the new object.
`static EGLSyncKHR`
EGLKHRReusableSync.`eglCreateSyncKHR(EGLDisplay dpy, int type, IntBuffer attrib_list)`
Creates a fence sync object for the specified EGL display and returns a handle to the new object.
Methods in org.lwjgl.opengles with parameters of type EGLSyncKHR
Modifier and Type
Method
Description
`static int`
EGLKHRFenceSync.`eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int flags, long timeout)`
Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.
`static int`
EGLKHRReusableSync.`eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int flags, long timeout)`
Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.
`static void`
EGLKHRFenceSync.`eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR sync)`
Destroys an existing sync object.
`static void`
EGLKHRReusableSync.`eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR sync)`
Destroys an existing sync object.
`static int`
EGLKHRFenceSync.`eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR sync, int attribute)`
Returns the value of the sync object attribute.
`static int`
EGLKHRReusableSync.`eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR sync, int attribute)`
Returns the value of the sync object attribute.
`static void`
EGLKHRReusableSync.`eglSignalSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int mode)`
Signals or unsignals the sync object by changing its status to the specified mode.